# Auto-generated file -- DO NOT EDIT!!!!!

# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

=head1 NAME

Lucy::Search::SortSpec - Specify a custom sort order for search results.

=head1 SYNOPSIS

    my $sort_spec = Lucy::Search::SortSpec->new(
        rules => [
            Lucy::Search::SortRule->new( field => 'date' ),
            Lucy::Search::SortRule->new( type  => 'doc_id' ),
        ],
    );
    my $hits = $searcher->hits(
        query     => $query,
        sort_spec => $sort_spec,
    );



=head1 DESCRIPTION

By default, searches return results in order of relevance; SortSpec allows
you to indicate an alternate order via an array of
L<SortRules|Lucy::Search::SortRule>.

Fields you wish to sort against must be C<< sortable >>.

For a stable sort (important when paging through results), add a
sort-by-doc rule as the last SortRule.

=head1 CONSTRUCTORS

=head2 new( I<[labeled params]> )

    my $sort_spec = Lucy::Search::SortSpec->new( rules => \@rules );

=over

=item *

B<rules> - An array of SortRules.

=back







=head1 INHERITANCE

Lucy::Search::SortSpec isa L<Lucy::Object::Obj>.


=cut

